std::__moneypunct_cache(3)

NAME
std::__moneypunct_cache -

SYNOPSIS

Inherits locale::facet.

Detailed Description

  template<typename _CharT, bool _Intl> struct std::__moneypunct_cache< _CharT, _Intl >

Definition at line 3473 of file locale_facets.h.

  Public Member Functions
__moneypunct_cache (size_t __refs=0)
void _M_cache (const locale &__loc)
~__moneypunct_cache ()

  Public Attributes
bool _M_allocated
_CharT _M_atoms [money_base::_S_end]
const _CharT * _M_curr_symbol
size_t _M_curr_symbol_size
_CharT _M_decimal_point
int _M_frac_digits
const char * _M_grouping
size_t _M_grouping_size
money_base::pattern _M_neg_format
const _CharT * _M_negative_sign
size_t _M_negative_sign_size
money_base::pattern _M_pos_format
const _CharT * _M_positive_sign
size_t _M_positive_sign_size
_CharT _M_thousands_sep
bool _M_use_grouping

  Static Protected Member Functions
static __c_locale _S_clone_c_locale (__c_locale &__cloc)
static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale _S_get_c_locale ()
static const char * _S_get_c_name ()

  Friends
class locale::_Impl

Author

Generated automatically by Doxygen for libstdc++ from the source code.